Subject: bug#16854: 24.3.50; ert-run-tests-interactively t selector not working

From: Dmitry Gutov <[email-masked]>
Date: Sun, 23 Feb 2014 23:16:56 +0200

Helmut Eller <[email-masked]> writes:

> Yes, with the patch t works.  But it's no longer possible to enter
> regexps.  Not sure if that matters.

It probably does: `ert-select-tests' describes regexps among possible
selector values. Maybe we should only convert "t" to t, and keep other
values intact.

> Maybe the default should be the
> regexp ".*" instead of t.  Hmm, that would look odd.

I dunno, looks okay to me. I was thinking of using an empty string as
the default, but it probably wouldn't look good in the "Run tests:"
prompt.